How to Determine if Your Mac Needs to be Updated

Due to a recent Microsoft update, Mac computers using macOS High Sierra (10.13) or earlier are no longer supported by Microsoft 365. To continue securing your computer and data and receiving updates, you may need to upgrade to macOS Catalina (10.15).

 

Follow these steps to determine if you need to upgrade your Mac:

  1. Learn which macOS your Mac is using. If your Mac is using High Sierra or earlier, continue to the next step. If your Mac is using Catalina or the recently released Big Sur (11.0), no further action is required.
  2. If an upgrade is needed, locate your Mac’s model number and determine if it is compatible with Catalina.
  3. If your computer is compatible with Catalina, before upgrading, make sure your computer has Code42 CrashPlan installed and has backed up your computer.
    • If your computer is not compatible with Catalina, we advise that you stop using the Microsoft 365 software on your computer and only use the Microsoft 365 tools online.
  4. When you are ready to upgrade, go to Jamf and procced with upgrading to Catalina.